#ifndef receiver_h
#define receiver_h

#include <Arduino.h>

// decoding two or three receiver channels on ATtiny85 pins 5,6, (7) (PB0, PB1, (PB2) - ceptimus 2019-04-02
class receiver {
  public:
    static uint8_t numChannels; // 2 or 3 to read either 2 or 3 channels
    static uint8_t prev; // remembers state of input bits from previous interrupt
    static uint32_t risingEdge[3]; // time of last rising edge for each channel
    static volatile uint32_t uSec[3]; // the latest measured pulse width for each channel
    
    static void start(uint8_t nc); // call from setup() to initalise - nc is number of channels to read: usually either 2 or 3 
    static uint16_t channel(uint8_t n); // return uS for channel[n]. n is channel 0, 1, and possibly 2 if reading three channels
    static bool active(uint8_t n); // return true if channel[n] is receiving pulses from receiver, false if not 
};
#endif
